POST /search/products

viator.com

Summary: /search/products
Operation ID: searchProducts
Auth: unknown
Description

Search for products This service is used to search for products based on various criteria; such as: * the destination (locale) in which it operates * its association with a tourist attraction * its category and/or subcategory * the time period during which it operates The fields you include in the request body for this service determine the kind of search that will be performed. **<u>Note</u>**: * You can search **EITHER** by destination (`destId`) **OR** by attraction-link (`seoId`), but not both. * The destination identifier (`destId`) can be retrieved from the [/taxonomy/destinations](#operation/taxonomyDestinations) service. * The category (`catId`) and subcategory (`subCatId`) identifiers can be retrieved from the [/taxonomy/categories](#operation/taxonomyCategories) service. * The attraction identifier (`seoId`) can be retrieved from the [/taxonomy/attractions](#operation/taxonomyAttractions) service. **<u>Examples</u>**: **Search by destination**: * E.g., "Top ten highest-rated yoga classes operating in Las Vegas: ```javascript { "destId": 684, "subCatId": 26052, "sortOrder": "REVIEW_AVG_RATING_D", "topX": "1-3" } ``` **Search by attraction-link**: * E.g., "Products related to Everglades National Park operating 21-26 May 2019 in order of descending price": ```javascript { "seoId": 1115, "sortOrder": "PRICE_FROM_D", "topX": "1-3" } ``` **<u>'Freesale-only' merchants</u>**: - Merchants with a "freesale only" key *must* pass `startDate` and `endDate` to this service to retrieve a list of all available 'freesale' products (and 'freesale/on-request' products that are currently 'freesale') in the destination. - E.g., the following request body will result in 'freesale/on-request' products within their on-request period not appearing in the results from this service. ```javascript { "destId": 684, "startDate": "2020-02-21", "endDate": "2020-03-21", "sortOrder": "PRICE_FROM_D", "topX": "1-3" } ``` - If `startDate` and `endDate` are omitted, 'freesale/on-request' products that are presently within their on-request period may appear to be available to customers, but won't be available at the time of booking.

Parameters (1)

Accept-Language (string, header, required)

Specifies the language into which the natural-language fields in the response from this service will be translated (see [Accept-Language header](#section/Appendices/Accept-Language-header) for available langage codes)

No probe data for this endpoint yet.